#include<bits/stdc++.h>
using namespace std;

int a,b,k,br=0;

int main(){
 cin>>a>>b>>k;
 while(a<b){
    if((a+2)%k==0){
        a++;
    }else{
        a+=2;
    }
    br++;
 }

 cout<<br;
 return 0;
}
